Diese Seite wurde von der Cloud Translation API übersetzt.
Switch to English

Zwischen Dialogflow-Versionen migrieren

V2beta1 bis V2

Die V2beta1 API wird für die Freigabe von Betafeatures für Dialogflow-Nutzer verwendet. Dieser Abschnitt enthält Tipps für den Wechsel zur stabilen V2 API.

  • Wenn Sie REST oder RPC verwenden, aktualisieren Sie den Endpunkt von dialogflow.googleapis.com/v2beta1/... auf dialogflow.googleapis.com/v2/....
  • Wenn Sie eine Clientbibliothek verwenden, aktualisieren Sie diese:
    • Dynamische Sprachen (Python, Node.js, Ruby): Aktualisieren Sie das Paket. Der Code verwendet dann automatisch die neueste stabile Version.
    • Statische Sprachen (Java, C#, PHP, Go): Installieren Sie das neue Paket und aktualisieren Sie alle Importanweisungen so, dass sie auf "v2" statt auf "v2beta1" verweisen.
  • Beim Feld zur Steuerung der Aktivierung des maschinellen Lernens (ML) für einen Intent gab es Änderungen. Das Feld mlEnabled wurde durch das Feld mlDisabled ersetzt und ML ist standardmäßig aktiviert.
    Version REST RPC Standardwert Standardverhalten
    V2beta1 mlEnabled ml_enabled true ML ist aktiviert.
    V2 mlDisabled ml_disabled false ML ist aktiviert.